Bug 73915 - sample shading + centroid broken since f5cfb4a
sample shading + centroid broken since f5cfb4a
Status: RESOLVED FIXED
Product: Mesa
Classification: Unclassified
Component: Drivers/DRI/i965
git
x86-64 (AMD64) Linux (All)
: medium normal
Assigned To: Ian Romanick
Intel 3D Bugs Mailing List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-01-22 07:11 UTC by Markus Wick
Modified: 2014-01-28 21:50 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments
apitrace dump of this issue (990.77 KB, text/plain)
2014-01-22 07:11 UTC, Markus Wick
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Markus Wick 2014-01-22 07:11:33 UTC
Created attachment 92566 [details]
apitrace dump of this issue

The commit f5cfb4a is supposed to ignore the centroid flag, but it doesn't interpolate correctly when centroid is set.

Screenshots:
f5cfb4a: http://goo.gl/rvjy3V
10.0.1:  http://goo.gl/dICRn6
nvidia:  http://goo.gl/glaeYv

Without the centroid flag, rendering is now fine, thank you :)
Comment 1 Anuj Phogat 2014-01-23 00:56:51 UTC
Posted a patch on mesa-dev mailing list to fix this issue:
[PATCH] i965: Ignore 'centroid' interpolation qualifier in case of persample shading

Please verify the fix.
Comment 2 Markus Wick 2014-01-23 11:36:00 UTC
This diff fixes my issue and the game now look much nicer. Thank you
Comment 3 Markus Wick 2014-01-28 21:50:44 UTC
fixed by dc2f94bc786768329973403248820a2e5249f102